package cn.com.origin.autocode.saveas;

import com.teamcenter.rac.aif.kernel.AbstractAIFSession;
import com.teamcenter.rac.commands.saveas.AbstractSaveAsDialog;
import com.teamcenter.rac.commands.saveas.SaveAsOperation;
import com.teamcenter.rac.util.Registry;

public class ORSaveAsOperation extends SaveAsOperation {
	  private AbstractSaveAsDialog saveAsDlg;
	public ORSaveAsOperation(AbstractSaveAsDialog abstractsaveasdialog, AbstractAIFSession abstractaifsession) {
		super(abstractsaveasdialog, abstractaifsession);
		this.saveAsDlg=abstractsaveasdialog;
	}

    public void executeOperation()
    {
        Registry registry = Registry.getRegistry(this);
        getSession().setStatus(registry.getString("saveAsStatus.MSG"));
        this.saveAsDlg.saveComponentAs();
        getSession().setReadyStatus();
    }

    
}
